Subject: Re: bug#11323: automake-1.11.4 regression

From: Stefano Lattarini <[email-masked]>
Date: Tue, 24 Apr 2012 11:12:11 +0200

On 04/24/2012 10:49 AM, Ralf Corsepius wrote:
>
>> On 04/24/2012 09:50 AM, Ralf Corsepius wrote:
>>> Hi,
>>>
>>> With automake < 1.11.4 it was possible to create empty directories
>>> this way:
>>>
>>>  Makefile.am:
>>>  mystatedir = $(pkglocalstatedir)
>>>  mystatedir_DATA =
>>>
>>> With automake-1.11.4, this doesn't work anymore and silently breaks
>>> existing Makefile.ams.
>>>
>> Not a regression, but an intended change,
>
> I once more have to disagree with you:
> 
> This change is a critical behavioral regression, causes defective packages
> and forces packagers to heavily hack their packages.
>
s| hack | modify not to rely on an undocumented behaviour |

>>   also documented in the NEWS file:
>>
>>    - An empty declaration of a "foo_PRIMARY" don't cause anymore the
>>      generated install rules to create an empty $(foodir) directory
>>
>> and in the relevant  news entry on Savannah:
>>
>>    <http://savannah.gnu.org/forum/forum.php?forum_id=7175>
>>
>> See also:
>>
>>    <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11030>
>>
> -EFAILMAINTAINER
> 
> a) This kind of changes is inappropriate within a release series.
>
This might be true; I should have been less eager to install such a
change.  Oh well, no point in crying over spilt milk, but I'll have to
be more careful next time.

> b) You don't seem to be aware about the harmfulness of this change
>    of yours.
> 
> Please comprend that this change was a mistake and revert it!
>
Have you read the discussion I have linked above, in automake bug#11030
and the references given there?  If you want this change reverted,
you'll have to counter the points made there in is favour.

Regards,
  Stefano